dofile("scripts/entities/entityinclude.lua")

function init()
	setupConversationEntity("nawlfish")
	
	entity_setActivation(AT_CLICK, 100, 400)
end

function update(dt)
	entity_rotateToVel(0, 90)
	entity_updateMovement(dt)
end

function enterState()
end

function exitState()
end

function activate()
	toggleTransitFishRide()
end

